
package com.tmerclub.cloud.combo.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套餐商品项DTO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class ComboSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐商品项id")
    private Long comboProdId;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "商品id")
    private Long prodId;

    @Schema(description = "套餐价")
    private Double comboPrice;

    @Schema(description = "类型：1：主商品 2：搭配商品")
    private Integer type;

    @Schema(description = "是否必选：1：是 0：否")
    private Integer required;

    @Schema(description = "起搭数量")
    private Integer leastNum;

    @Schema(description = "状态 -1：删除 0：失效 1：正常")
    private Integer status;

    public Long getComboProdId() {
        return comboProdId;
    }

    public void setComboProdId(Long comboProdId) {
        this.comboProdId = comboProdId;
    }

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public Long getProdId() {
        return prodId;
    }

    public void setProdId(Long prodId) {
        this.prodId = prodId;
    }

    public Double getComboPrice() {
        return comboPrice;
    }

    public void setComboPrice(Double comboPrice) {
        this.comboPrice = comboPrice;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getRequired() {
        return required;
    }

    public void setRequired(Integer required) {
        this.required = required;
    }

    public Integer getLeastNum() {
        return leastNum;
    }

    public void setLeastNum(Integer leastNum) {
        this.leastNum = leastNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "ComboProdDTO{" +
                "comboProdId=" + comboProdId +
                ",comboId=" + comboId +
                ",prodId=" + prodId +
                ",comboPrice=" + comboPrice +
                ",type=" + type +
                ",required=" + required +
                ",leastNum=" + leastNum +
                ",status=" + status +
                '}';
    }
}
